No actualices todavía tu WordPress a la versión 5.0.

10 diciembre, 2018 Seguridad web 0

Hoy quiero compartir contigo una recomendación importante sobre la actualización a la última versión disponible para WordPress: no actualices todavía tu WordPress a la versión 5.0.Es posible que te sorprenda esta recomendación, porque normalmente insistimos en la importancia de mantener actualizado WordPress y sus plugins cuando hemos podido comprobar, pasadas al menos 72 horas, que no hay problemas con las nuevas versiones.

.Pero la versión 5.0 es una versión especial y, para evitar problemas, lo ideal es que esperes a finales de enero para actualizar, sobre todo si no eres experto en WordPress. ;)

Sobre WordPress 5.0.

WordPress 5.0 se liberó el pasado 6 de diciembre y tiene novedades muy interesantes como el nuevo editor Gutenberg, pero es posible que tus plugins, el tema (plantilla) de tu WordPress o tus configuraciones personales no sean compatibles con esta nueva versión.

Esta incompatibilidad hará que tu web deje de funcionar correctamente y será necesario recuperar una copia de seguridad de la versión anterior.

¿Se actualizará WordPress automáticamente a la nueva versión?

No, tu WordPress no se actualizará automáticamente a la versión 5.0, salvo que hayas instalado algún plugin específico que mantenga tu WP y plugins actualizados.

Nosotros hemos parado nuestro sistema automático de actualizaciones de WordPress y sus plugins, WP-Center, y no actualizará tu WP a 5.0 ni actualizará tus plugins hasta que no se estabilicen los problemas que está habiendo.

Por tanto, para pasar a WordPress 5.0 tendrías que forzar la actualización desde la administración de tu WordPress (/wp-admin) y te recomendamos que no lo hagas de momento.

Como siempre que hay una actualización disponible, tu WordPress te mostrará un mensaje como el que te muestro a continuación, pero no hay ningún motivo por el que debas actualizar ahora, puedes seguir trabajando con la versión actual sin ningún problema

¿A qué se deben esas posibles incompatibilidades?

Como sabes, nuestro hosting está especialmente configurado y  optimizado para WordPress, y por tanto, es compatible con WordPress 5.0.

Sin embargo, esta nueva versión está mostrando diferentes incompatibilidades con plugins y plantillas desde que se liberó.

La mayoría de desarrolladores de plugins y temas están trabajando para sacar nuevas versiones que solucionen los problemas de compatibilidad. En unos 30 días el 99% de los plugins y temas más habituales serán 100% compatibles, pero también habrá muchos que no lo serán.

En unas semanas publicaremos un listado de los plugins y plantillas más utilizados que todavía no sean compatibles para que, si los utilizas, puedas tenerlo en cuenta.

Debido a esta situación de inestabilidad, te recomendamos esperar al menos hasta finales de enero para hacer la actualización a WordPress 5.0.

Para entonces los usuarios expertos de la comunidad WordPress ya habrán pasado por el proceso y documentado los problemas que vayan surgiendo.

Nosotros también explicaremos en nuestro blog los pasos recomendados para llevarla a cabo y cómo verificar previamente los plugins y plantillas que aún no sean compatibles.

Si estás en plena temporada alta, NO actualices a WordPress 5.0
Si no eres experto en WordPress , NO actualices a WordPress 5.0
Si tienes una tienda o almacenas datos, y perderías pedidos o datos si recuperas un backup, NO actualices a WordPress 5.0
Si usas alguno de estos plugins NO actualices, ya que no son 100% compatibles en su última versión con WordPress 5.0 o están dando algún problema:

WPML (Multiidiomas).

Advanced Custom Fields (ACF).

WP Backkery Page Builder.

Yoast SEO (no presentaría incompatibilidades pero los autores de este plugin no recomiendan actualizar).

En resumen, si no quieres pasar unas horas de incertidumbre y tener que acabar recuperando un backup para recuperar el funcionamiento de tu web, NO actualices a WordPress 5.0.

En el caso de que decidas actualizar aún sabiendo que no recomendamos hacerlo, o lo hayas hecho antes de ver este email, si tienes algún problema la solución más rápida es recuperar el último backup que hayas hecho.

Si no has hecho una copia justo antes de actualizar, utiliza nuestro Superbackup para recuperar la última copia de la web y base de datos que se creó antes de la actualización.

En este artículo explicamos cómo utilizar SuperBackup para restaurar sitios webs y sus correspondientes bases de datos: Copias de Seguridad con SuperBackup en cPanel, ¡domínalas!  En este caso, tendrías que restaurar la web desde la opción de SuperBackup > “Restaurar web”.

Si actualizas y únicamente tienes problemas con el nuevo editor, instala este plugin para volver a tener el editor anterior: Classic Editor.

Te mantendremos informado para que sepas exactamente cuándo será recomendable pasar a la nueva versión.

Irás viendo mensajes tanto en tu área de cliente como en tu cPanel, y también iremos publicando información actualizada en nuestro blog, así que permanece atento. ;)

Hasta entonces, sigue gestionando tu WordPress con normalidad (sin actualizar) y todo irá bien.

Ya sabes, siempre es mejor prevenir que curar para mantener una Happy web. ;)
.

María Núñez

Equipo de Webempresa

Please follow and like us:
error0

 

RSS
Follow by Email
Facebook
Facebook
Google+
Google+
YouTube
YouTube
LinkedIn
Instagram